Bug 1165784 - (CVE-2020-10029) VUL-1: CVE-2020-10029: glibc: overflow an on-stack buffer during range reduction
(CVE-2020-10029)
VUL-1: CVE-2020-10029: glibc: overflow an on-stack buffer during range reduction
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Andreas Schwab
Security Team bot
https://smash.suse.de/issue/254169/
CVSSv3.1:SUSE:CVE-2020-10029:2.9:(AV...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-05 09:39 UTC by Robert Frohl
Modified: 2020-10-23 16:21 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2020-03-05 09:39:25 UTC
CVE-2020-10029

The GNU C Library (aka glibc or libc6) before 2.32 could overflow an on-stack
buffer during range reduction if an input to an 80-bit long double function
contains a non-canonical bit pattern, a seen when passing a
0x5d414141414141410000 value to sinl on x86 targets. This is related to
sysdeps/ieee754/ldbl-96/e_rem_pio2l.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-10029
http://people.canonical.com/~ubuntu-security/cve/2020/CVE-2020-10029.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-10029
https://sourceware.org/git/gitweb.cgi?p=glibc.git;a=commit;h=9333498794cde1d5cca518badf79533a24114b6f
https://sourceware.org/bugzilla/show_bug.cgi?id=25487
Comment 1 Robert Frohl 2020-03-05 09:42:20 UTC
@Andreas: Only SUSE:SLE-15:Update seems affected, as the older version did not implement __ieee754_rem_pio2l as far as I saw. 

Could you confirm if this is the only affected function or if there is another path which could lead to a similar problem ?
Comment 2 Andreas Schwab 2020-03-05 11:50:27 UTC
__ieee754_rem_pio2l is used by cosl, sinl, sincosl, and tanl.
Comment 3 Robert Frohl 2020-03-05 13:19:37 UTC
(In reply to Andreas Schwab from comment #2)
> __ieee754_rem_pio2l is used by cosl, sinl, sincosl, and tanl.

Sorry to follow up again, but I do not fully understand this point yet: A part of my question is, if __ieee754_rem_pio2l was not implemented, does the range reduction still cause an overflow ? To be honest I do not completely understand the code and was hoping for a hint on how best to judge if the older versions of glibc are affected.

Can I make the assumption that if __ieee754_rem_pio2l is not implemented that the glibc version is not vulnerable ?
Comment 7 Swamp Workflow Management 2020-03-12 16:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1165784) was mentioned in
https://build.opensuse.org/request/show/784367 Factory / glibc
Comment 8 Swamp Workflow Management 2020-03-13 14:14:06 UTC
SUSE-SU-2020:0668-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (moderate)
Bug References: 1163184,1164505,1165784
CVE References: CVE-2020-10029
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    glibc-2.26-13.39.1, glibc-utils-src-2.26-13.39.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    glibc-2.26-13.39.1, glibc-utils-src-2.26-13.39.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    glibc-2.26-13.39.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Marcus Meissner 2020-03-15 08:08:01 UTC
is done
Comment 10 Swamp Workflow Management 2020-03-25 14:14:15 UTC
openSUSE-SU-2020:0381-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (moderate)
Bug References: 1163184,1164505,1165784
CVE References: CVE-2020-10029
Sources used:
openSUSE Leap 15.1 (src):    glibc-2.26-lp151.19.3.1, glibc-testsuite-src-2.26-lp151.19.3.1, glibc-utils-src-2.26-lp151.19.3.1
Comment 12 Swamp Workflow Management 2020-03-31 19:20:14 UTC
SUSE-SU-2020:0832-1: An update that solves three vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1149332,1157893,1158996,1165784,1167631
CVE References: CVE-2020-10029,CVE-2020-1751,CVE-2020-1752
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    glibc-2.22-100.21.5
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    glibc-2.22-100.21.5
SUSE Linux Enterprise Server 12-SP5 (src):    glibc-2.22-100.21.5
SUSE Linux Enterprise Server 12-SP4 (src):    glibc-2.22-100.21.5

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2020-10-23 16:21:21 UTC
SUSE-SU-2020:3024-1: An update that solves one vulnerability and has four fixes is now available.

Category: security (moderate)
Bug References: 1149332,1165784,1171878,1172085,1176013
CVE References: CVE-2020-10029
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    glibc-2.22-113.4
SUSE OpenStack Cloud 8 (src):    glibc-2.22-113.4
SUSE OpenStack Cloud 7 (src):    glibc-2.22-113.4
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    glibc-2.22-113.4
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    glibc-2.22-113.4
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    glibc-2.22-113.4
SUSE Linux Enterprise Server 12-SP3-BCL (src):    glibc-2.22-113.4
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    glibc-2.22-113.4
SUSE Linux Enterprise Server 12-SP2-BCL (src):    glibc-2.22-113.4
SUSE Enterprise Storage 5 (src):    glibc-2.22-113.4
HPE Helion Openstack 8 (src):    glibc-2.22-113.4

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.